d3.csv(
  'https://gist.githubusercontent.com/Rinoj-Gautam/22ff4b5b05d9c067040c4b574539bd5f/raw/f62e79e11b4e45d41faafddf0d656a66f75ec2ec/diabetes.csv',
  function (err, rows) {
    //gettting the data from the link
    // creating a function to read csv file and return the attribute values as array
    function unpack(rows, key) {
      return rows.map(function (row) {
        return row[key];
      });
    }

    //define the trace attributes for the plotly data
    var trace1 = {
      x: unpack(rows, 'Glucose'),
      y: unpack(rows, 'BloodPressure'),
      z: unpack(rows, 'DiabetesPedigreeFunction'),

      mode: 'markers',
      marker: {
        color: 'red', //defining the color of the points
        size: 5,
        symbol: 'circle',
        line: {
          color: 'black',
          width: 1,
        },
        opacity: 0.8,
      },
      type: 'scatter3d',
    };

    var data = [trace1];

    //define the layouts -margin, axes value adn stules for the plotly data
    var layout = {
      margin: {
        l: 20,
        r: 20,
        b: 20,
        t: 20,
      },
      scene: {
        xaxis: {
          title: 'Glucose',
          titlefont: {
            color: 'black',
            family: 'Arial, Open Sans',
            size: 15,
          },
        },
        yaxis: {
          title: 'Blood Pressure',
          titlefont: {
            color: 'black',
            family: 'Arial, Open Sans',
            size: 15,
          },
        },
        zaxis: {
          title: 'Diabetes Pedigree Function',
          titlefont: {
            color: 'black',
            family: 'Arial, Open Sans',
            size: 15,
          },
        },
      },
    };

    // call the plotly newPlot method to plot the data
    Plotly.newPlot('myDiv', data, layout);
  }
);
